Compiling subversion 1.5.0

Benno Korn bennokorn at compuserve.de
Fri Jun 27 19:33:03 BST 2008


Hello,
I am using Ubuntu 8.04 32 bit.
I try to package subversion 1.5.0 with JavaHL support.

Therefore I use these debian experimental sources: 
http://packages.debian.org/experimental/subversion

When I build the package using:
tar xzf subversion_1.5.0dfsg1.orig.tar.gz
cd subversion-1.5.0dfsg1
zcat ../subversion_1.5.0dfsg1-1.diff.gz | patch -p1
debuild -us -uc
... the packages are successfully created but the libsvn-java package is 
missing.

So I have to compile using:
DEB_BUILD_OPTIONS="with-javahl" debuild -us -uc

But then I run into this error:
http://ubuntuusers.de/paste/373157/

How is the Ubuntu package in the repositories (version 1.4.6) being built?
Or how else do I fix this problem?



More information about the Ubuntu-devel-discuss mailing list